Bug 824959 - Document that the unsupported webservices api is deprecated in JON3.1
Document that the unsupported webservices api is deprecated in JON3.1
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 13:17 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 07:00:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-05-24 13:17:56 EDT
Document that the unsupported webservices api is deprecated in JON3.1, and will likely be removed in JON3.2+
Comment 1 Deon Ballard 2012-05-24 14:47:34 EDT
Added to the release notes. I will also remove the links from the API docs. Out of sight, out of mind.
Comment 2 Deon Ballard 2012-06-25 21:53:11 EDT
Mentioned in the release notes:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/3.1_Release_Notes/changes-in-behavior.html#id4471299

This may be jumping the gun, but for 3.1 (and for 3.0.1, actually), I removed the webservices from the API guide, as well:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/API/remote-api/index.html

Note You need to log in before you can comment on or make changes to this bug.